sc::PsiUHF(3)

NAME
sc::PsiUHF - PsiUHF is a concrete implementation of Psi UHF wave function.

SYNOPSIS

#include <psiwfn.h>

Inherits sc::PsiSCF.

  Public Methods
PsiUHF (const Ref< KeyVal > &)
PsiUHF (StateIn &)
~PsiUHF ()
void write_basic_input (int conv)
Writes out Psi input file entries specific to this PsiWavefunction.
int spin_polarized ()
Return 1 if the alpha density is not equal to the beta density.
int gradient_implemented () const
PsiSCF::RefType reftype () const
Returns the PsiSCF::RefType of this particular Psi SCF wave function.

  Protected Methods
void write_input (int conv)
Prepares a complete Psi input file. The input file is assumed to have been opened.

DETAILED DESCRIPTION

PsiUHF is a concrete implementation of Psi UHF wave function.

MEMBER FUNCTION DOCUMENTATION

  void sc::PsiUHF::write_basic_input (int conv) [virtual]

Writes out Psi input file entries specific to this PsiWavefunction.

The input file is assumed to have been opened.

Reimplemented from sc::PsiWavefunction.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.